<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.5.2
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

/**
 * Include the TGM_Plugin_Activation class.
 */
require_once(get_template_directory().'/libs/class-tgm-plugin-activation.php');
add_action( 'tgmpa_register', 'bebostore_theme_register_required_plugins' );
function bebostore_theme_register_required_plugins() {
	$plugins = array (
				array (
					'name' => 'Revolution Slider',
					'slug' => 'revslider',
					'source' => PLUGINS_PATH.'/general/revslider.zip',
					'required' =>true,
					'version' => '5.0.7',
					'force_activation' => false,
					'force_deactivation' => false,
					'external_url' => 'http://codecanyon.net/item/slider-revolution-responsive-wordpress-plugin/2751380?ref=beautheme'
				),
				array (
					'name' => 'WPBakery Visual Composer',
					'slug' => 'js_composer',
					'source' => PLUGINS_PATH.'/general/js_composer.zip',
					'required' =>true,
					'version' => '4.8',
					'force_activation' => false,
					'force_deactivation' => false,
					'external_url' => 'http://codecanyon.net/item/visual-composer-page-builder-for-wordpress/242431?ref=beautheme'
				),
				array (
					'name' => 'BeBo store postype',
					'slug' => 'plg-bebo-store',
					'source' => PLUGINS_PATH.'/store/plg-bebo-store.zip',
					'required' =>true,
					'version' => '1.0.1',
					'force_activation' => false,
					'force_deactivation' => false,
					'external_url' => ''
				),
				array (
					'name' => 'Woocommerce',
					'slug' => 'woocommerce',
					'source' => 'http://downloads.wordpress.org/plugin/woocommerce.zip',
					'required' =>true,
					'version' => '2.4.8',
					'force_activation' => false,
					'force_deactivation' => false,
					'external_url' => 'https://wordpress.org/plugins/woocommerce/'
				),
				array (
					'name' => 'Max Megamenu',
					'slug' => 'megamenu',
					'source' => 'https://downloads.wordpress.org/plugin/megamenu.2.0.1.zip',
					'required' =>true,
					'version' => '2.0.1',
					'force_activation' => false,
					'force_deactivation' => false,
					'external_url' => 'https://wordpress.org/plugins/megamenu/'
				),
		);
	$config = array(
		'id'           => 'tgmpa',
		'default_path' => 'bebo-active-plugins',
		'menu'         => 'tgmpa-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);
	tgmpa( $plugins, $config );
}