<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

if ( empty( $product ) || ! $product->exists() ) {
	return;
}

$related = $product->get_related( 5 );

if ( sizeof( $related ) == 0 ) return;

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'            => 'product',
	'ignore_sticky_posts'  => 1,
	'no_found_rows'        => 1,
	'posts_per_page'       => 5,
	'orderby'              => $orderby,
	'post__in'             => $related,
	'post__not_in'         => array( $product->id )
) );

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = $columns;
global $beau_option;
if ($beau_option['style-shop-details']) {
    $options = $beau_option['style-shop-details'];
}else{
    $options = "shop-style-1";
}

if ( $products->have_posts() ) : ?>
<div class="feature-section feature-option2">
	<div class="container">
		<?php if($options == 'shop-style-3') { ?>
		<div class="book-features no-border">
		<?php } ?>
			<div class="related products">
			<div class="title-box"><span><?php _e( 'Featured Books', 'woocommerce' ); ?></span></div>
				<?php woocommerce_product_loop_start(); ?>

						<?php while ( $products->have_posts() ) : $products->the_post(); ?>

							<?php
								if ( ! defined( 'ABSPATH' ) ) {
									exit; // Exit if accessed directly
								}

								global $product, $woocommerce_loop;

								// Store loop count we're currently on
								if ( empty( $woocommerce_loop['loop'] ) ) {
									$woocommerce_loop['loop'] = 0;
								}

								// Store column count for displaying the grid
								if ( empty( $woocommerce_loop['columns'] ) ) {
									$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
								}

								// Ensure visibility
								if ( ! $product || ! $product->is_visible() ) {
									return;
								}

								// Increase loop count
								$woocommerce_loop['loop']++;

								// Extra post classes
								$classes = array();
								if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] ) {
									$classes[] = 'first';
								}
								if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
									$classes[] = 'last';
								}
							?>
							<li <?php post_class( $classes ); ?>>
								<div class="book-item-shop">
									<?php if ( $product->is_on_sale() ) : ?>
										<?php echo apply_filters( 'woocommerce_sale_flash', '<span class="onsale">' . __( 'Sale!', 'woocommerce' ) . '</span>',  $product ); ?>
									<?php endif; ?>
									<div class="book-item">
									<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>


										<div class="book-image">
											<?php
												/**
												 * woocommerce_before_shop_loop_item_title hook
												 *
												 * @hooked woocommerce_show_product_loop_sale_flash - 10
												 * @hooked woocommerce_template_loop_product_thumbnail - 10
												 */
												do_action( 'woocommerce_before_shop_loop_item_title' );
											?>
										</div>
										<div class="book-actions">
											<div class="list-action">
												<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
												<?php echo do_shortcode( '[yith_wcwl_add_to_wishlist]' ); ?>

											</div><!--End list-action-->
										</div>
									</div>
									<div class="book-info">
										<?php echo woocommerce_template_loop_rating(); ?>
										<span class="book-name"><a href="<?php the_permalink(); ?>"><?php echo the_title(); ?></a></span>
										<span class="book-author">
											<?php _e('by:', 'bebostore'); ?>
							                   <?php
							                   		$author = get_field('field_book_author');
							                   ?>
							                    <?php if( $author ): ?>
							                    	<?php
							                    		if(count($author) == 1){
							                    		foreach( $author as $authors ): ?>

							                            <a href="<?php echo get_permalink( $authors->ID ); ?>" target="blank"><?php echo get_the_title( $authors->ID ); ?></a>
							                        <?php endforeach;
							                        	}
							                        else{
							                        ?>
							                        <?php foreach( $author as $authors ): ?>
							                            <a href="<?php echo get_permalink( $authors->ID ); ?>" target="blank"><?php echo get_the_title( $authors->ID ); ?></a>,
							                        <?php endforeach; ?>
							                        <?php } ?>
							                    <?php endif; ?>
										</span>
										<span class="book-price"><?php echo woocommerce_template_loop_price(); ?></span>
										<span class="book-desc">
											<?php echo the_content(); ?>
										</span>
									</div>
								</div>
							</li>
						<?php endwhile; // end of the loop. ?>

					<?php woocommerce_product_loop_end(); ?>
			</div>
		<?php if($options == 'shop-style-3') { ?>
		</div>
		<?php } ?>
	</div>
</div>
<?php endif;

wp_reset_postdata();
